# Uses of Class
org.apache.solr.common.SolrDocumentList

Packages that use SolrDocumentList
Package
Description
org.apache.solr.client.solrj
Primary APIs for communicating with a Solr Server from a Java client.
org.apache.solr.client.solrj.beans
Annotation based mapping of client objects to Solr documents.
org.apache.solr.client.solrj.response
Convenience classes for dealing with various types of Solr responses.
org.apache.solr.common.util
Common utility classes reused on both clients & server.

## Uses of SolrDocumentList in org.apache.solr.client.solrj

Methods in org.apache.solr.client.solrj that return SolrDocumentList
Modifier and Type
Method
Description
`SolrDocumentList`
SolrClient.`getById(String collection, Collection<String> ids)`
Retrieves the SolrDocuments associated with the given identifiers.
`SolrDocumentList`
SolrClient.`getById(String collection, Collection<String> ids, SolrParams params)`
Retrieves the SolrDocuments associated with the given identifiers and uses the SolrParams to execute the request.
`SolrDocumentList`
SolrClient.`getById(Collection<String> ids)`
Retrieves the SolrDocuments associated with the given identifiers.
`SolrDocumentList`
SolrClient.`getById(Collection<String> ids, SolrParams params)`
Retrieves the SolrDocuments associated with the given identifiers and uses the SolrParams to execute the request.

## Uses of SolrDocumentList in org.apache.solr.client.solrj.beans

Methods in org.apache.solr.client.solrj.beans with parameters of type SolrDocumentList
Modifier and Type
Method
Description
`<T> List<T>`
DocumentObjectBinder.`getBeans(Class<T> clazz, SolrDocumentList solrDocList)`

## Uses of SolrDocumentList in org.apache.solr.client.solrj.response

Methods in org.apache.solr.client.solrj.response that return SolrDocumentList
Modifier and Type
Method
Description
`SolrDocumentList`
Group.`getResult()`
Returns the documents to be displayed that belong to this group.
`SolrDocumentList`
QueryResponse.`getResults()`
`protected SolrDocumentList`
XMLResponseParser.`readDocuments(XMLStreamReader parser)`
Methods in org.apache.solr.client.solrj.response that return types with arguments of type SolrDocumentList
Modifier and Type
Method
Description
`Map<String,SolrDocumentList>`
QueryResponse.`getExpandedResults()`
`NamedList<SolrDocumentList>`
QueryResponse.`getMoreLikeThis()`
Constructors in org.apache.solr.client.solrj.response with parameters of type SolrDocumentList
Modifier
Constructor
Description
``
`Group(String groupValue, SolrDocumentList result)`
Creates a Group instance.

## Uses of SolrDocumentList in org.apache.solr.common.util

Methods in org.apache.solr.common.util that return SolrDocumentList
Modifier and Type
Method
Description
`SolrDocumentList`
JavaBinCodec.`readSolrDocumentList(DataInputInputStream dis)`
Methods in org.apache.solr.common.util with parameters of type SolrDocumentList
Modifier and Type
Method
Description
`void`
JavaBinCodec.`writeSolrDocumentList(SolrDocumentList docs)`